#
# These apps will be run when the plugin is started, unless startOnLoad=false
# If delay=0 they will be run before any webapps are started.
#

# Required for each app:

# to run a shell script or external program, use net.i2p.util.ShellCommand
clientApp.0.main=net.i2p.neodatisclassincluder.Main
clientApp.1.main=net.i2p.neodatis.I2P

# All below here are optional:

# $I2P, $PLUGIN, and $CONFIG are recognized in all args lines
#clientApp.0.args=start arg1 arg2 arg3
clientApp.1.args=start

# must be present to call on stop
#clientApp.0.stopargs=stop arg1
clientApp.1.stopargs=stop

# must be present to call on uninstall
#clientApp.0.uninstallargs=uninstall arg1 arg2

# The following jars in $I2P/lib should be in the classpath for all I2P installations,
# no matter how old or how new the original installation:
#
# i2p.jar, router.jar, jbigi.jar, sam.jar, mstreaming.jar, streaming.jar, i2ptunnel.jar,
# org.mortbay.jetty.jar, javax.servlet.jar, jasper-compiler.jar, jasper-runtime.jar,
# commons-logging.jar, commons-el.jar, wrapper.jar, systray.jar, systray4j.jar
#
# Anything not listed above may not be present in everybody's classpath, even if you
# have it installed in YOUR version of i2p, so you should add it below.
# These are added to the classpath for the whole JVM
#
#clientApp.0.classpath=$I2P/lib/foo.jar,$PLUGIN/lib/bar.jar,$CONFIG/plugins/otherplugin/lib/baz.jar
clientApp.0.classpath=$PLUGIN/lib/NeodatisClassIncluder.jar
#clientApp.1.classpath=$PLUGIN/lib/NeodatisClassIncluder.jar

# unused in plugins for now
#clientApp.0.name=NeodatisClassIncluder
#clientApp.1.name=NeodatisODBServer

# default true
#clientApp.0.startOnLoad=true
#clientApp.1.startOnLoad=true

# seconds before starting (default 120)
clientApp.0.delay=0
clientApp.1.delay=2

# add additional apps as desired, number consecutively
